import * as cdk from '@aws-cdk/core';
import * as ec2 from '@aws-cdk/aws-ec2';
import { BastionHostForwardProps } from './bastion-host-forward-props';
export declare class BastionHostForward extends cdk.Construct {
    /**
     * @returns the id of the bastion host, which can be used by the session
     * manager connect command afterwards
     */
    instanceId?: string;
    /**
     * @returns the security group attached to the bastion host
     */
    securityGroup?: ec2.ISecurityGroup;
    /**
     * @returns The BastionHost Instance
     */
    protected readonly bastionHost: ec2.BastionHostLinux;
    protected constructor(scope: cdk.Construct, id: string, props: BastionHostForwardProps);
    private generateHaProxyBaseConfig;
    private generateEc2UserData;
}
