import * as cdk from '@aws-cdk/core';
import * as rds from '@aws-cdk/aws-rds';
import { BastionHostForwardBaseProps } from './bastion-host-forward-base-props';
import { BastionHostForward } from './bastion-host-forward';
export interface BastionHostRDSForwardProps extends BastionHostForwardBaseProps {
    readonly rdsInstance: rds.IDatabaseInstance;
    readonly rdsResourceIdentifier?: string;
    readonly iamUser?: string;
}
export declare class BastionHostRDSForward extends BastionHostForward {
    constructor(scope: cdk.Construct, id: string, props: BastionHostRDSForwardProps);
    /**
     * @returns the resource ARN for the the rds-db:connect action
     */
    private genDbUserArnFromRdsArn;
}
